'-----------------------------------------------------------------------
' casovy spinac do nabijece baterii v.1.0, (c) 2004, www.qsl.net/ok1mpe
'-----------------------------------------------------------------------
'
'         Vcc -|  U  |- Vss
'             -|     |- +30min
'             -|     |- +60min
' rezim/start -|     |- rele

DEVICE 12C508
XTAL = 4
config WDT_OFF, MCLRE_OFF, CP_OFF, INTRC_OSC
set_osccal	 							' nastaveni kalibrace oscilatoru
	
Dim cas As Word							' deklarace promennych
Dim i As Word							'
Dim auto As Bit							'
Symbol j1 = GPIO.0						' definice vstupu / vystupu
Symbol j2 = GPIO.1						' jumpery pro prodlouzeni casu
Symbol out = GPIO.2						' rele
Symbol in = GPIO.3						' start tlacitko (pri manual)

	option_reg.6 = 0					' povoleni pull-up
	option_reg.5 = 0					' pin 5 jako GP2
	trisio = %00101011					' nastaveni portu (vstupy / vystupy)
	out = 0								' vyp. rele
	auto = 0							'
	if in = 0 then auto = 1				' zjisteni rezimu s nastavenim priznaku 

main:
	If auto = 0 Then If in = 1 then Goto main	' cekani na start (pri manual)
	out = 1	  	   						' zap. rele
	cas = 10800							' 3 hod (10800 sec) - zakladni cas
	If j1 = 0 Then cas = cas + 1800		' pridani 30 min (pokud je jumper)
	If j2 = 0 Then cas = cas + 3600		' pridani 60 min (pokud je jumper)
	For i = 1 To cas
		delayMs 1000   	    			' cekani 1s
	Next i
	out = 0	   							' vyp. rele

konec:
	If auto = 1 Then Goto konec			' konec (pri automat.),
	Goto main 		 	  				' jinak opakovat znovu	
